Remove
curl --request DELETE \
--url https://api.sandbox.wepayout.com.br/v2/register/companies/webhooks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.wepayout.com.br/v2/register/companies/webhooks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.wepayout.com.br/v2/register/companies/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
No Content
Webhook
Remove
Remove a registered webhook
DELETE
/
v2
/
register
/
companies
/
webhooks
/
{id}
Remove
Remove Webhook URL
This endpoint allows removing the webhook URL associated with a specific event.- The event parameter must be provided in the path
- Once deleted, the event will no longer send notifications to any registered URL
Path Parameters
The event type for which to remove the webhook URLExample:
onboardingResponse
Returns 204 No Content on successful deletion.Request Example
curl --request DELETE \
--url https://api.sandbox.wepayout.com.br/v2/register/companies/webhooks/onboarding \
--header 'Authorization: Bearer {token}'
const event = 'onboarding';
const response = await fetch(`https://api.sandbox.wepayout.com.br/v2/register/companies/webhooks/${event}`, {
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_TOKEN'
}
});
if (response.status === 204) {
console.log('Webhook removed successfully');
}
import requests
event = 'onboarding'
url = f'https://api.sandbox.wepayout.com.br/v2/register/companies/webhooks/{event}'
headers = {
'Authorization': 'Bearer YOUR_TOKEN'
}
response = requests.delete(url, headers=headers)
if response.status_code == 204:
print('Webhook removed successfully')
No Content
Was this page helpful?
⌘I

